Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.tools.maven
Class OpenJpaTestEnhancerMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
              org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo
                  org.apache.openjpa.tools.maven.OpenJpaTestEnhancerMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class OpenJpaTestEnhancerMojo

extends AbstractOpenJpaEnhancerMojo

Processes Application model classes and enhances them by running Open JPA Enhancer tool.

Since:
  1.1
Version:
  $Id: OpenJpaTestEnhancerMojo.java 9137 2009-02-28 21:55:03Z struberg $

Field Summary
`protected List<String>` | `testClasspathElements` List of all class path elements that will be searched for the `persistence-enabled` classes and resources expected by PCEnhancer.

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo
`addDefaultConstructor, enforcePropertyRestrictions, tmpClassLoader`

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`classes, compileClasspathElements, OPTION_CONNECTION_DRIVER_NAME, OPTION_CONNECTION_PROPERTIES, OPTION_PROPERTIES, OPTION_PROPERTIES_FILE, project`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`OpenJpaTestEnhancerMojo()`

Method Summary
`protected List<String>` | `getClasspathElements()` This function overloads `AbstractOpenJpaMojo#getClasspathElements()` to return the test classpath elements.
`protected File` | `getEntityClasses()` The File where the class files of the entities to enhance reside
`protected boolean` | `skipMojo()` Determine if the mojo execution should get skipped.

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo
`execute, getOptions`

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`createOptions, extendRealmClasspath, findEntityClassFiles, getFilePaths`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### testClasspathElements

    protected List<String> testClasspathElements

  List of all class path elements that will be searched for the `persistence-enabled` classes and resources expected by PCEnhancer.

Constructor Detail

### OpenJpaTestEnhancerMojo

    public OpenJpaTestEnhancerMojo()

Method Detail

### getClasspathElements

    protected List<String> getClasspathElements()

  This function overloads `AbstractOpenJpaMojo#getClasspathElements()` to return the test classpath elements.

  Overrides:
    `getClasspathElements` in class `AbstractOpenJpaMojo`
  Returns:
    List of classpath elements for the test phase

### getEntityClasses

    protected File getEntityClasses()

  The File where the class files of the entities to enhance reside

  Overrides:
    `getEntityClasses` in class `AbstractOpenJpaMojo`
  Returns:
    normaly the test entity classes are located in target/test-classes

### skipMojo

    protected boolean skipMojo()

  Description copied from class: `AbstractOpenJpaMojo`

  Determine if the mojo execution should get skipped.

  This is the case if:
  - `AbstractOpenJpaMojo.skip` is `true`
  - if the mojo gets executed on a project with packaging type 'pom' and `AbstractOpenJpaMojo.forceMojoExecution` is `false`

  Overrides:
    `skipMojo` in class `AbstractOpenJpaMojo`
  Returns:
    `true` if the mojo execution should be skipped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.